#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  void Interface::testbench_body (Vhdl * & vhdl,
				  string   counter_name,
				  string   reset_name  )
  {
    log_printf(FUNC,Behavioural,"testbench_body","Begin");

    if (_list_signal->empty()== false)
      {
	list<Signal*>::iterator i = _list_signal->begin();

	vhdl->set_body("------------------------------------------------------");
	vhdl->set_body("-- interface \""+_name+"\"");
	vhdl->set_body("------------------------------------------------------");
    
	while (i != _list_signal->end())
	  {
	    (*i)->testbench_body(vhdl, counter_name, reset_name);
	    ++i;
	  }
      }

    log_printf(FUNC,Behavioural,"testbench_body","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
